﻿/*--------------------------*/
.fileUpload {
    position: relative;
    overflow: hidden;
    margin: 0px;
}

    .fileUpload input.upload {
        position: absolute;
        top: 0;
        right: 0;
        margin: 0;
        padding: 0;
        font-size: 20px;
        cursor: pointer;
        opacity: 0;
        filter: alpha(opacity=0);
    }

.oculto {
    display: none;
}

.centrar {
    margin-left: auto;
    margin-right: auto;
}

.centerTable {
    text-align: center;
}

    .centerTable table {
        /*margin: 0 auto;*/
        margin-right: auto;
        margin-left: auto;
        text-align: center;
    }


/*  modal popup */
.modalBackgroundx {
    background-color: Black;
    filter: alpha(opacity=80);
    opacity: 0.3;
}

.modalPopupx {
    font-size: 95%;
    text-align: left;
    padding-top: 20px;
    padding-left: 20px;
    width: 300px;
    height: 200px;
    background-color: #FFFFFF;
    border-width: 1px;
    border-style: solid;
    border-color: #7D868C;
    box-shadow: 10px 10px 20px #333333;
}

.margin-right {
    margin-left:0.3em;
    margin-right:1em;
    margin-top:0.4em;
    margin-bottom:0.4em;
}

/*--------------------------*/
.inhabilitar {
    opacity: 0.5;
    filter: alpha(opacity=50); 
    }

/*--------------------------*/
.buttonx {
    opacity: 0.7;
    filter: alpha(opacity=50);
    filter: grayscale(100%);
}
.buttonx:hover {
	/*opacity: 0.5;
    filter: alpha(opacity=40); */  
    opacity: 1;
    filter: alpha(opacity=100);  
    filter: grayscale(0%);
	}
.buttonx:focus {}

/*--------------------------*/
.form-group2 {
    margin-bottom: .1rem;
}

/*--------------------------*/
.contenedor-tabla{
    display: table;
}

.contenedor-fila{
    display: table-row;
}

.contenedor-columna{
    display: table-cell;
}

/*--------------------------*/
.break-word {
 -ms-word-break: break-all;
     word-break: break-all;

     // Non standard for webkit
     word-break: break-word;

-webkit-hyphens: auto;
   -moz-hyphens: auto;
    -ms-hyphens: auto;
        hyphens: auto;
}

/*--------------------------*/
.imgwrapper {
    padding-right:5px;
    height: 90%;
    width: 90%;
}

/*--------------------------*/
.left {
    float: left;
    width: 30%;
}

.right {
    float: right;
    width: 50%;
}

.center {
    display: inline-block;
    width: 20%;
}
/*--------------------------*/
.text-seleccion {
    /*text-shadow: 0px 0px 20px #007bff;*/ 
    box-sizing: content-box;
    /*background-color:#C4C4C4;*/
    background-color:#66788A;
}
/*--------------------------*/
.text-seleccion2 {
    border-bottom: 2px solid;
}

/*--------------------------*/
.bg-rosa {
    background-color: #EBD7FF !important;
}
a.bg-rosa:focus, a.bg-primary:hover, button.bg-primary:focus, button.bg-primary:hover {
    background-color: #BC79FF !important;
}

.bg-pie1 {
    background-color: #F1F2F3 !important;
}
a.bg-pie1:focus, a.bg-primary:hover, button.bg-primary:focus, button.bg-primary:hover {
    background-color: #BCC0C5 !important;
}

.bg-azul1 {
    background-color: #DFE7EE !important;
}
a.bg-azul1:focus, a.bg-primary:hover, button.bg-primary:focus, button.bg-primary:hover {
    background-color: #ADC0D3 !important;
}

.bg-claro {
    background-color: #F9F9F9 !important;
}
a.bg-claro:focus, a.bg-primary:hover, button.bg-primary:focus, button.bg-primary:hover {
    background-color: #ADC0D3 !important;
}

.bg-claro2 {
    background-color: #DDDDDD !important;
}
a.bg-claro2:focus, a.bg-primary:hover, button.bg-primary:focus, button.bg-primary:hover {
    background-color: #ADC0D3 !important;
}

.bg-negro {
    background-color: #283035 !important;
}

/*--------------------------*/
.contenido {
    width: 100%;
    min-height: 600px;
    /*padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;*/
}
/*--------------------------*/

.style1 {
    width: 90%;
}

/*-------------------------- arrastrar y soltar archivos para carga */

.upload-container {
    position: relative;
}
    .upload-container input {
        border: 1px solid #92b0b3;
        background: #f1f1f1;
        outline: 2px dashed #92b0b3;
        outline-offset: -10px;
        padding: 50px 0px 50px 50px;
        text-align: center !important;
        width: 300px;
    }

        .upload-container input:hover {
            background: #ddd;
        }

    .upload-container:before {
        position: absolute;
        bottom: 20px;
        left: 160px;
        content: " Arrastre aqui el archivo. ";
        color: #3f8188;
        font-weight: 400;
    }

.upload-btn {
    margin-left: 300px;
    padding: 7px 20px;
}  


/******************** Autocomplete extender control *******************************
CompletionListCssClass="autocomplete_completionListElement" 
CompletionListItemCssClass="autocomplete_listItem" 
CompletionListHighlightedItemCssClass="autocomplete_highlightedListItem" */

/* AutoComplete highlighted item */
    .autocomplete_completionListElement {
        margin: 0px !important;
        z-index:99999 !important;
        background-color: white;
        color: windowtext;
        font-size:0.85em;  
        border: buttonshadow;
        border-width: 1px;
        border-style: solid;
        /*cursor: default;*/
        overflow: auto;
        /*height: 250px;*/
        text-align: left;
        left: 0px;
        list-style-type: none;
    }
    /* AutoComplete highlighted item */
    .autocomplete_highlightedListItem {
        z-index:99999 !important;
        background-color: lightgray; /*#ffff99*/
        font-size:0.85em;       
        color: black;
        padding: 0px;
        /*cursor: default;*/
    }
    /* AutoComplete item */
    .autocomplete_listItem {
        z-index:99999 !important;
        background-color: window;
        color: windowtext;
        font-size:0.85em;       
        padding: 0px;
        /*cursor: default;*/
    }

    .bn4 {
  background-color: #ADC0D3;
  border: none;
  color: rgb(0, 0, 0);
  padding: 0.7em 1.7em;
  text-align: center;
  font-size: 16px;
  margin: 4px 2px;
  opacity: 0.6;
  transition: 0.3s;
  display: inline-block;
  text-decoration: none;
  cursor: pointer;
}

.bn4:hover {
  opacity: 1;
}

/* nuevos cards */
.card-counter{
    box-shadow: 2px 2px 10px #DADADA;
    margin: 5px;
    padding: 15px 10px;
    background-color: #fff;
    height: 90px;
    border-radius: 5px;
    transition: .3s linear all;
  }

  .card-counter:hover{
    box-shadow: 4px 4px 20px #DADADA;
    transition: .3s linear all;
  }

  .card-counter.primary{
    background-color: #007bff;
    color: #FFF;
  }

  .card-counter.danger{
    background-color: #F79391;
    /*background-color: #ef5350;*/
    color: #FFF;
  }  

  .card-counter.success{
    background-color: #7CC580;
    /*background-color: #66bb6a;*/
    color: #FFF;
  }  

  .card-counter.info{
    background-color: #26c6da;
    /*background-color: #26c6da;*/
    color: #FFF;
  }  

  .card-counter.infox{
    background-color: #7BA8D5;
    /*background-color: #26c6da;*/
    color: #FFF;
  } 

  .card-counter i{
    font-size: 5em;
    opacity: 0.2;
  }

  .card-counter .count-numbers{
    /*position: absolute;*/
    line-height: 20px;
    right: 35px;
    top: 20px;
    font-size: 18px;
    display: block;
  }

  .card-counter .count-name{
    /*position: absolute;*/
    /*right: 35px;*/
    top: 65px;
    font-style: italic;
    text-transform: capitalize;
    opacity: 0.75;
    display: block;
    font-size: 12px;
    text-align:end;
  }

  .btn-extra {
    /*position: absolute;*/
    line-height: 20px;
    right: 35px;
    top: 20px;
    font-size: 18px;
  }

  .btn-trans {
    /*position: absolute;*/
    line-height: 20px;
    right: 5px;
    top: 5px;
    font-size: 18px;
  }


/*----------------------------------------------------------*/
.mypanel {
    max-height: 100px; 
    overflow: auto;
}
/*----------------------------------------------------------*/

.tarjetas_menu {
    width: 100%;
}

.iconos_menu {
    padding: 5% 5%;
    background-color: #F4F5F7;
}
